Skip to main content
GET
/
v1.0
/
routing
/
rule
/
list
/
{type}
Lead Routing Rules
curl --request GET \
  --url https://api.lofty.com/v1.0/routing/rule/list/{type} \
  --header 'Authorization: <authorization>'
[
  {
    "id": 123,
    "name": "<string>",
    "locationRule": {
      "locationMatchType": 123,
      "state": "NL",
      "county": "<string>",
      "city": "<string>",
      "zipcode": "<string>",
      "streetAddress": "<string>"
    },
    "sourceName": "<string>",
    "sourceMatchType": 123,
    "tagNames": [
      "Hot Lead",
      "Zillow"
    ],
    "tagMatchType": 123,
    "groupNames": [
      "First-Time Buyers",
      "Downtown Area"
    ],
    "groupMatchType": 123,
    "phone": "'With'、'Without'、 ''",
    "priceMin": 123,
    "priceMax": 123,
    "leadType": "Other(-1),Seller(1),Buyer(2),B&S(3),Renter(5)",
    "leadTypeFilters": "[{\"type\":\"one_of\",\"ids\":\"1,2,3\"},{\"type\":\"all\",\"ids\":\"1,2,3\"}]",
    "activeHours": {
      "activeDays": [
        1,
        2,
        3,
        4,
        5
      ],
      "hoursStart": 123,
      "hoursEnd": 123
    },
    "routingStrategy": {
      "strategyType": 123,
      "groupId": 123,
      "groupName": "<string>",
      "touchMinutes": 123,
      "memberWeights": {
        "memberId": 123,
        "firstName": "<string>",
        "lastName": "<string>",
        "weight": 123
      }
    },
    "ruleSwitch": true,
    "updateTime": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Path Parameters

type
enum<integer>
required

Routing business type.

Available options:
1,
2,
4

Query Parameters

roleId
integer<int32>
default:-1

Role ID. Required when type = 4 (ASSISTANT_LEAD).

Response

Routing rules for the given business type.

id
integer<int64>

Rule id

name
string

Rule name

locationRule
object

Location rule

sourceName
string

Lead source name

sourceMatchType
integer<int32>

Lead source name

tagNames
string[]

Lead tag name list

Example:
["Hot Lead", "Zillow"]
tagMatchType
integer<int32>

Tag match type

groupNames
string[]

Lead segment name list

Example:
["First-Time Buyers", "Downtown Area"]
groupMatchType
integer<int32>

Group match type

phone
string

Phone setting

Example:

"'With'、'Without'、 ''"

priceMin
integer<int64>

Price min

priceMax
integer<int64>

Price max

leadType
string

lead type

Example:

"Other(-1),Seller(1),Buyer(2),B&S(3),Renter(5)"

leadTypeFilters
string

multi lead type

Example:

"[{\"type\":\"one_of\",\"ids\":\"1,2,3\"},{\"type\":\"all\",\"ids\":\"1,2,3\"}]"

activeHours
object

Active hours setting

routingStrategy
object

Active hours setting

ruleSwitch
boolean

Rule switch

updateTime
integer<int64>

Update time